@import url("https://fonts.googleapis.com/css?family=Jost:500");

:root {
	--default-font-size: 16px;
	--top-navigation-height: 60px;
}

.navigation {
	box-sizing: border-box;
	height: var(--top-navigation-height);
	padding: 0.5rem 1rem;

	box-shadow: 0 1px 2px 0 #0000001a;
}
html:not(.theme-dark) .navigation {
	background-color: #fff;
	color: #000;
}
html:not(.theme-dark) .navigation a {
	color: #000;
}

#platform-header {
	display: inline-flex;
	align-items: center;

	gap: 0.5rem;
	margin-right: 1rem;

	text-decoration: none;
}
#platform-header .logo {
	height: 2rem;
}
#platform-header .docs {
	line-height: 1.5rem;

	font-weight: 500;
	font-family: "Jost", sans-serif;
	color: #3e3ef8;

	border: 1px solid #3e3ef8;
	border-radius: 0.25rem;

	padding: 0 0.5rem;
}

.library-name > a {
	font-weight: 500;
	margin: 0.25rem 0.75rem;
}
.library-name > a::before {
	all: unset;
}

html:not(.theme-dark) .filter-section .platform-tag:not([data-active]) {
	box-shadow: 0 0 0 1px rgb(0 0 0 / 60%);
	color: #000;
}

html:not(.theme-dark) .icon-toggler,
html:not(.theme-dark) #theme-toggle-button,
html:not(.theme-dark) #pages-search {
	background-color: transparent;
	filter: brightness(0);
}
